Pharma API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
More information: https://helloreverb.com
Contact Info: hello@helloreverb.com
Version: 1.0.0
BasePath:/cp10000/PharmaAPI-Draft/1.0.0
All rights reserved
http://apache.org/licenses/LICENSE-2.0.html

Access

Methods

[ Jump to Models ]

Table of Contents

Default

Default

Up
get /api/v1/consignment/authenticate-by-txid/<txId>
Get txid authenticate (apiV1ConsignmentAuthenticateByTxidtxIdGet)
Authenticate/verify commission data for unique SmartHub TransactionId in fabric network.

Responses

200

OK

Up
get /api/v1/consignment/authenticate/<prodId>
Get product authenticate (apiV1ConsignmentAuthenticateprodIdGet)
Verify commission data for unique product authentication

Responses

200

OK

Up
post /api/v1/consignment/case
Post consign_by_product (apiV1ConsignmentCasePost)
Post product data by product identifiers (not commission data) expected to be a rare even, but could be shipped this way

Responses

200

OK

Up
post /api/v1/consignment/commission
Consign by commission (apiV1ConsignmentCommissionPost)
Json event is the assoc of valid serial number with a physical product (package) Access processed through the before_request authN/authZ

Responses

200

OK

Up
get /api/v1/consignment/commission/<int:Id>
Get commission (apiV1ConsignmentCommissionintIdGet)
retrieve the consignments commission event by specified Id eventId

Responses

200

OK

Up
patch /api/v1/consignment/commission/<int:Id>
Put consign by commission (apiV1ConsignmentCommissionintIdPatch)
Update existing commission by id for data fields in received json msg

Responses

200

OK

Up
post /api/v1/consignment/commission/<int:Id>
Put consign by commission (apiV1ConsignmentCommissionintIdPost)
Update existing commission by id for data fields in received json msg

Responses

200

OK

Up
post /api/v1/consignment/pallet
Post consign by pallet (apiV1ConsignmentPalletPost)
Pallet contains one or more cases

Responses

200

OK

Up
post /api/v1/consignment/product
Post consign_by_product (apiV1ConsignmentProductPost)
Post product data by product identifiers (not commission data) expected to be a rare even, but could be shipped this way

Responses

200

OK

Up
post /api/v1/onboard/org
creates a new organization in smartHub (apiV1OnboardOrgPost)
on-boards a new organizatin by creating new organization entity in the database

Consumes

This API call consumes the following media types via the Content-Type request header:

Request body

body org_schema (required)
Body Parameter — Optional description in <em>Markdown</em>

Responses

200

OK ResponseOnboard

401

ERROR ResponseOnboard

Up
get /api/v1/shipmentevent/authenticate-by-eventid/<inteventId>
Get ship event (apiV1ShipmenteventAuthenticateByEventidinteventIdGet)
retrieve the ship event by specified Id eventId

Responses

200

OK

Up
post /api/v1/shipmentevent
Post shipment event (apiV1ShipmenteventPost)
Create a new record in the fabric for the shipment event json message

Responses

200

OK

Up
get /api/v1/shipmentevent/<inteventId>
Get ship event (apiV1ShipmenteventinteventIdGet)
retrieve the ship event by specified Id eventId

Responses

200

OK

Models

[ Jump to Methods ]

Table of Contents

  1. org_schema

org_schema Up

org_id_pk
org_name
org_type (optional)
contact (optional)
address (optional)
city (optional)
state (optional)
postal_code (optional)
country_code (optional)
phone (optional)
email (optional)
website (optional)
is_enabled (optional)
smarthub_id (optional)
create_date (optional)
update_date (optional)
delete_date (optional)